External pythia and hepmc interface

Asked by Muhammad Danish Aslam on 2020-02-10

I am working on analysis code. I am generating Les houches Event file using Madgraph. I have installed pythia8 and hepmc in madgraph internally. But I am using pythia8153 and Hepmc 2.05.01 externally. Now I want to use these external packages during LHE file generation.
Now my question is can i use these external packages in madgraph ?? If yes then how??

Question information

Language:
English Edit question
Status:
Answered
For:
MadGraph5_aMC@NLO Edit question
Assignee:
No assignee Edit question
Last query:
2020-02-10
Last reply:
2020-02-10

set shower=pythia8
when you are ask what external package you want to run.

Cheers,

Olivier

> On 10 Feb 2020, at 16:46, Muhammad Danish Aslam <email address hidden> wrote:
>
> New question #688647 on MadGraph5_aMC@NLO:
> https://answers.launchpad.net/mg5amcnlo/+question/688647
>
> I am working on analysis code. I am generating Les houches Event file using Madgraph. I have installed pythia8 and hepmc in madgraph internally. But I am using pythia8153 and Hepmc 2.05.01 externally. Now I want to use these external packages during LHE file generation.
> Now my question is can i use these external packages in madgraph ?? If yes then how??
>
>
>
> --
> You received this question notification because you are an answer
> contact for MadGraph5_aMC@NLO.

No I mean to say when we type command install pythia8 then madgraph
install latest version of pythia. But when I run my analysis code I use
pythia8153. I think there will be incompatibility of version between
madgraph pythia or pythia installed in PC. can I use pythia or hepmc
installed in my PC instead of madgraph??

On Mon, Feb 10, 2020 at 8:53 PM Olivier Mattelaer <
<email address hidden>> wrote:

> Your question #688647 on MadGraph5_aMC@NLO changed:
> https://answers.launchpad.net/mg5amcnlo/+question/688647
>
> Status: Open => Answered
>
> Olivier Mattelaer proposed the following answer:
> set shower=pythia8
> when you are ask what external package you want to run.
>
> Cheers,
>
> Olivier
>
> > On 10 Feb 2020, at 16:46, Muhammad Danish Aslam <
> <email address hidden>> wrote:
> >
> > New question #688647 on MadGraph5_aMC@NLO:
> > https://answers.launchpad.net/mg5amcnlo/+question/688647
> >
> > I am working on analysis code. I am generating Les houches Event file
> using Madgraph. I have installed pythia8 and hepmc in madgraph internally.
> But I am using pythia8153 and Hepmc 2.05.01 externally. Now I want to use
> these external packages during LHE file generation.
> > Now my question is can i use these external packages in madgraph ?? If
> yes then how??
> >
> >
> >
> > --
> > You received this question notification because you are an answer
> > contact for MadGraph5_aMC@NLO.
>
> --
> If this answers your question, please go to the following page to let us
> know that it is solved:
>
> https://answers.launchpad.net/mg5amcnlo/+question/688647/+confirm?answer_id=0
>
> If you still need help, you can reply to this email or go to the
> following page to enter your feedback:
> https://answers.launchpad.net/mg5amcnlo/+question/688647
>
> You received this question notification because you asked the question.
>

--
M. Danish Aslam
MPhill Research Student,
RIPHAH International University, Islamabad, Pakistan

Ah ok,

You have a file input/mg5_configuration.txt
where you can specify the path to the version pythia that you want to use.

Cheers,

Olivier

> On 10 Feb 2020, at 17:27, Muhammad Danish Aslam <email address hidden> wrote:
>
> Question #688647 on MadGraph5_aMC@NLO changed:
> https://answers.launchpad.net/mg5amcnlo/+question/688647
>
> Status: Answered => Open
>
> Muhammad Danish Aslam is still having a problem:
> No I mean to say when we type command install pythia8 then madgraph
> install latest version of pythia. But when I run my analysis code I use
> pythia8153. I think there will be incompatibility of version between
> madgraph pythia or pythia installed in PC. can I use pythia or hepmc
> installed in my PC instead of madgraph??
>
> On Mon, Feb 10, 2020 at 8:53 PM Olivier Mattelaer <
> <email address hidden>> wrote:
>
>> Your question #688647 on MadGraph5_aMC@NLO changed:
>> https://answers.launchpad.net/mg5amcnlo/+question/688647
>>
>> Status: Open => Answered
>>
>> Olivier Mattelaer proposed the following answer:
>> set shower=pythia8
>> when you are ask what external package you want to run.
>>
>> Cheers,
>>
>> Olivier
>>
>>> On 10 Feb 2020, at 16:46, Muhammad Danish Aslam <
>> <email address hidden>> wrote:
>>>
>>> New question #688647 on MadGraph5_aMC@NLO:
>>> https://answers.launchpad.net/mg5amcnlo/+question/688647
>>>
>>> I am working on analysis code. I am generating Les houches Event file
>> using Madgraph. I have installed pythia8 and hepmc in madgraph internally.
>> But I am using pythia8153 and Hepmc 2.05.01 externally. Now I want to use
>> these external packages during LHE file generation.
>>> Now my question is can i use these external packages in madgraph ?? If
>> yes then how??
>>>
>>>
>>>
>>> --
>>> You received this question notification because you are an answer
>>> contact for MadGraph5_aMC@NLO.
>>
>> --
>> If this answers your question, please go to the following page to let us
>> know that it is solved:
>>
>> https://answers.launchpad.net/mg5amcnlo/+question/688647/+confirm?answer_id=0
>>
>> If you still need help, you can reply to this email or go to the
>> following page to enter your feedback:
>> https://answers.launchpad.net/mg5amcnlo/+question/688647
>>
>> You received this question notification because you asked the question.
>>
>
>
> --
> M. Danish Aslam
> MPhill Research Student,
> RIPHAH International University, Islamabad, Pakistan
>
> You received this question notification because you are an answer
> contact for MadGraph5_aMC@NLO.

Can you help with this problem?

Provide an answer of your own, or ask Muhammad Danish Aslam for more information if necessary.

To post a message you must log in.